Subject: [bug#75400] [PATCH] Fixing python-spacy

From: Alice BRENON <[email-masked]>
Date: Tue, 7 Jan 2025 15:27:58 +0100

Hi Lars!

Thanks for the great insight. Yeah, I tried generating that graph when I started
the investigation because at first I couldn't understand where the crashing
version of `python-moto` was still being used… ^^' I got a PNG over 25Mo. I
ended up browsing the dot graph in text directly. Ok, so I think I'll make
another patch to add setuptools (can I send the patch to this closed issue or
will I need to open a new one?).

Any opinion on all the broken tests, anyone?

Alice

Le Tue, 7 Jan 2025 15:18:32 +0100,
Lars-Dominik Braun <[email-masked]> a écrit :

> Hi Alice,
> 
> via:
> 
> > Cc’ing the Python team for feedback on your other comments:
> > 
> >   https://issues.guix.gnu.org/75400  
> 
> > - the first issue is naturally the new required dependencies in
> > `native-inputs` mentioned in
> > bdde278dc9c565d8e9d11427c3a670ba86808af5 an visible in many python
> > packages commit these past weeks. Surprisingly, I managed to
> > compile `python-spacy` by adding only `python-wheel`, without
> > `python-setuptools`. What makes both required? Are we sure that
> > both were required in each and every python package recently
> > modified?  
> 
> in short: yes. I can’t tell for sure for this exact case because
> the output of `guix graph` is too big for `xdot` to handle, but it’s
> likely python-setuptools is implicitly propagated through some
> dependency (perhaps a bug
> like https://issues.guix.gnu.org/25235) to python-spacy and thus it looks like it’s “not required”.
> 
> Lars
>